# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "entertainarr-adapter-worker"
version = "0.1.1"
authors = ["Jeremie Drouet <jeremie.drouet@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "worker adapter for entertainarr"
readme = false
keywords = ["crux"]
license = "MIT"
resolver = "2"

[lib]
name = "entertainarr_adapter_worker"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.entertainarr-adapter-sqlite]
version = "0.1.1"

[dependencies.entertainarr-domain]
version = "0.1.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.tokio]
version = "1.48"
features = [
    "rt",
    "sync",
    "time",
]

[dependencies.tokio-util]
version = "0.7"
default-features = false

[dependencies.tracing]
version = "0.1"
